Error Occurred while launching rasa x

Hi All, Could someone help me in understanding why I am getting this error. Have installed rasa x and after running rasa x command, I am getting below error.

This is error getting in terminal:

(venv) [email protected]:~$ rasa x
Preparing the local database...
Traceback (most recent call last):
File "/home/user/venv/lib/python3.6/site-packages/sqlalchemy/engine/base.py", line 1803, in _execute_context
cursor, statement, parameters, context
File "/home/user/venv/lib/python3.6/site-packages/sqlalchemy/engine/default.py", line 732, in do_execute
cursor.execute(statement, parameters)
sqlite3.OperationalError: no such column: True

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/home/user/venv/lib/python3.6/site-packages/rasa/cli/x.py", line 502, in run_locally
domain_path=domain_path,
File "/home/user/venv/lib/python3.6/site-packages/rasax/community/local.py", line 196, in main
sql_migrations.run_migrations(session)
File "/home/user/venv/lib/python3.6/site-packages/rasax/community/sql_migrations.py", line 35, in run_migrations
_run_schema_migrations(session)
File "/home/user/venv/lib/python3.6/site-packages/rasax/community/sql_migrations.py", line 52, in _run_schema_migrations
_run_alembic_migration(alembic_config)
File "/home/user/venv/lib/python3.6/site-packages/rasax/community/sql_migrations.py", line 76, in _run_alembic_migration
command.upgrade(alembic_config, target_revision)
File "/home/user/venv/lib/python3.6/site-packages/alembic/command.py", line 298, in upgrade
script.run_env()
File "/home/user/venv/lib/python3.6/site-packages/alembic/script/base.py", line 489, in run_env
util.load_python_file(self.dir, "env.py")
File "/home/user/venv/lib/python3.6/site-packages/alembic/util/pyfiles.py", line 98, in load_python_file
module = load_module_py(module_id, path)
File "/home/user/venv/lib/python3.6/site-packages/alembic/util/compat.py", line 184, in load_module_py
spec.loader.exec_module(module)
File "<frozen importlib._bootstrap_external>", line 678, in exec_module
File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
File "/home/user/venv/lib/python3.6/site-packages/rasax/community/database/schema_migrations/alembic/env.py", line 96, in <module>
run_migrations_online()
File "/home/user/venv/lib/python3.6/site-packages/rasax/community/database/schema_migrations/alembic/env.py", line 86, in run_migrations_online
context.run_migrations()
File "<string>", line 8, in run_migrations
File "/home/user/venv/lib/python3.6/site-packages/alembic/runtime/environment.py", line 846, in run_migrations
self.get_context().run_migrations(**kw)
File "/home/user/venv/lib/python3.6/site-packages/alembic/runtime/migration.py", line 522, in run_migrations
step.migration_fn(**kw)
File "/home/user/venv/lib/python3.6/site-packages/rasax/community/database/schema_migrations/alembic/versions/migration_2021_06_16_speedup_in_training_data_update_652500998f3e.py", line 42, in upgrade
sqlite_where=sa.text(index_text),
File "/usr/lib/python3.6/contextlib.py", line 88, in __exit__
next(self.gen)
File "/home/user/venv/lib/python3.6/site-packages/alembic/operations/base.py", line 353, in batch_alter_table
impl.flush()
File "/home/user/venv/lib/python3.6/site-packages/alembic/operations/batch.py", line 82, in flush
fn(*arg, **kw)
File "/home/user/venv/lib/python3.6/site-packages/alembic/ddl/impl.py", line 283, in create_index
self._exec(schema.CreateIndex(index))
File "/home/user/venv/lib/python3.6/site-packages/alembic/ddl/impl.py", line 141, in _exec
return conn.execute(construct, *multiparams, **params)
File "/home/user/venv/lib/python3.6/site-packages/sqlalchemy/engine/base.py", line 1289, in execute
return meth(self, multiparams, params, _EMPTY_EXECUTION_OPTS)
File "/home/user/venv/lib/python3.6/site-packages/sqlalchemy/sql/ddl.py", line 81, in _execute_on_connection
self, multiparams, params, execution_options
File "/home/user/venv/lib/python3.6/site-packages/sqlalchemy/engine/base.py", line 1387, in _execute_ddl
compiled,
File "/home/user/venv/lib/python3.6/site-packages/sqlalchemy/engine/base.py", line 1846, in _execute_context
e, statement, parameters, cursor, context
File "/home/user/venv/lib/python3.6/site-packages/sqlalchemy/engine/base.py", line 2027, in _handle_dbapi_exception
sqlalchemy_exception, with_traceback=exc_info[2], from_=e
File "/home/user/venv/lib/python3.6/site-packages/sqlalchemy/util/compat.py", line 207, in raise_
raise exception
File "/home/user/venv/lib/python3.6/site-packages/sqlalchemy/engine/base.py", line 1803, in _execute_context
cursor, statement, parameters, context
File "/home/user/venv/lib/python3.6/site-packages/sqlalchemy/engine/default.py", line 732, in do_execute
cursor.execute(statement, parameters)
sqlalchemy.exc.OperationalError: (sqlite3.OperationalError) no such column: True
[SQL: CREATE INDEX message_log_in_training_data_idx ON message_log (in_training_data) WHERE in_training_data is True]
(Background on this error at: https://sqlalche.me/e/14/e3q8)

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up.
If you need help fixing the issue visit our forum: https://forum.rasa.com/.

Below are the rasa and OS details,

Rasa Version : 2.8.20
Rasa SDK : 2.8.3
Rasa X Version : 1.0.1
Python Version : 3.6.9
OS : Ubuntu 18.04

Welcome on the forum :bouquet: @Arunkumar-M10

@Arunkumar-M10 can you please share the installation process you had followed?

@Arunkumar-M10 confirm me you were not able to login in rasa x using your mentioned password?

@nik202 Thanks for your response below is the command have used to install RASA X: pip3 install rasa-x --extra-index-url Simple Index

confirm me you were not able to login in rasa x using your mentioned password?

  • no I am not able to login into rasa x using above password, even I am not able to launch/connect to rasa in any browser

@Arunkumar-M10 are you installing on local machine, which rasa x version you are planning to install?

@nik202 I am trying to install it in Virtual Machine [Google Cloud Platform] and looking for any version above 1.0

@Arunkumar-M10 so you must be aware of the current rasa x version i.e 1. x installation steps are updated in the last version update, can you confirm for me the same which one you have tried? Installation Guide

OR is that you are seeing this documentation on rasa 42.x Installation Guide

Please confirm the same.

@nik202 initially have followed Installation Guide (rasa.com), but it took too long to install, so have gone to rasa version > 1.0 and followed Installation (rasa.com), but ended up with some errors after installation and unable to launch rasa x. So have created new instance and then tried installing with above commands [commands shared initially]

@Arunkumar-M10 Ok, please follow this thread solution and try to install Getting error while running rasa x locally - #4 by nik202

If your installation take a lot of time in installing, please downgrade your pip version.

Please keep me update and good luck!

@nik202 thanks for above steps, have followed it with new environment and it took too longer to install rasa with this command pip install rasa-x==0.39.3 --extra-index-url Simple Index, have downgraded pip, but it thrown some errors saying version needs to upgraded. so have used this pip3 install --use-deprecated=legacy-resolver rasa-x==0.39.3 --extra-index-url Simple Index and completed the installation [some errors occurred, but managed to fix it]. Then tried launching rasa x got below and have hit the url below to open ui, but getting can’t reach this page. Have gone through some steps like creating new firewall rule and all, but it didn’t helped

(rasa3) [email protected]:~$ rasa x Starting Rasa X in local mode… :rocket: 2022-01-12 16:32:56 WARNING rasax.community.services.insights.insight_service - No local evaluation result files found. [2022-01-12 16:32:58 +0000] [15565] [INFO] Goin’ Fast @ http://0.0.0.0:5002 2022-01-12 16:32:58 INFO sanic.root - Goin’ Fast @ http://0.0.0.0:5002

The server is running at http://localhost:5002/login?username=me&password=N2CKl0TAAhBM

[2022-01-12 16:32:58 +0000] [15565] [INFO] Starting worker [15565] 2022-01-12 16:32:58 INFO sanic.root - Starting worker [15565] 2022-01-12 16:33:21 WARNING rasa.shared.utils.common - The UnexpecTED Intent Policy is currently experimental and might change or be removed in the future :microscope: Please share your feedback on it in the forum (https://forum.rasa.com) to help us make this feature ready for production.

@Arunkumar-M10 I have mentioned in the thread, ok please use pip version 20.2 and then try install. Please be specific in the error and error screenshot.

@nik202 As mentioned in previous chat, have tried installing rasa x by downgrading pip version to 20.2 and ended up with some errors and asked me to upgrade pip to latest version. Have upgrade pip version and managed to complete the installation.

But now the issue is when trying to launch rasa x with the url in the below screenshot,

getting below in browser, I have enabled ports already, not sure what is the issue here

image

@Arunkumar-M10 Great, so you were able to install yeah, pip is the issue recently upgrade and downgrade fix the faster installation.

@Arunkumar-M10 share me the complete screenshot after running the rasa x command and even clear cache and cookies from your default browser recommended google chrome.

@Arunkumar-M10 The screenshot is from which default browser?

@nik202 the above screenshot is from MS Edge browser [default browser] and below is the screenshot after running rasa x command - in terminal window

and got below when I tried in chrome,

Have tried clearing cache/cookies/browsing history, but issue exists still